MODULE SlideDemo;
(* =========================================================================  
   Main Program for AutoCad Slide Demo

   Description:
     Display an AutoCad Slide-format File 
  
   Target: Hardware-independent 

   (c) 2009-2019 CFB Software   
   http://www.astrobe.com  
   
  Permission to use, copy, modify, and/or distribute this software and its
  accompanying documentation (the "Software") for any purpose with or
  without fee is hereby granted, provided that the above copyright notice
  and this permission notice appear in all copies.
  
  THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHORS DISCLAIM ALL WARRANTIES
  WITH REGARD TO THE SOFTWARE, INCLUDING ALL IMPLIED WARRANTIES OF
  MERCHANTABILITY, FITNESS AND NONINFRINGEMENT.  IN NO EVENT SHALL THE
  AUTHORS BE LIABLE FOR ANY CLAIM, SPECIAL, DIRECT, INDIRECT, OR
  CONSEQUENTIAL DAMAGES OR ANY DAMAGES OR LIABILITY WHATSOEVER, WHETHER IN
  AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN
  CONNECTION WITH THE DEALINGS IN OR USE OR PERFORMANCE OF THE SOFTWARE.
  ========================================================================= *)

IMPORT Slide, Display := ST7735, Texts, Oberon, IO;

VAR
  W: Texts.Writer;
   
PROCEDURE Run*;
VAR
  S: Texts.Scanner;
BEGIN
  Slide.Init();
  Texts.WriteString(W, "Slide.Display"); Texts.WriteLn(W);
  Texts.OpenScanner(S, Oberon.Par.text, Oberon.Par.pos); 
  Texts.Scan(S);    
  IF S.class = Texts.Name THEN 
    IF IO.Open(S.s) THEN
      Slide.Draw(1.20, 0, 20);
      Slide.Draw(2.0, 40, 0)
    ELSE
      Texts.WriteString(W, S.s); Texts.WriteString(W, " not found"); Texts.WriteLn(W)
    END 
  ELSE 
    Texts.WriteString(W, "Usage: Slide.Display <filename>"); Texts.WriteLn(W)
  END 
END Run;

END SlideDemo.
  
